package com.iamberry.wechat.service.eo;

import com.iamberry.wechat.core.entity.eo.ItemGift;
import com.iamberry.wechat.face.eo.ItemGiftService;
import com.iamberry.wechat.service.mapper.ItemGiftMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  订单项关联赠品池接口
 * @author Administrator
 * @Date 2019-10-29
 */
@Service
public class ItemGiftServiceImpl  implements ItemGiftService {
    @Autowired
    private ItemGiftMapper itemGiftMapper;
    /**
     * 获取集合
     * @param  itemGift
     * @return List
     */
    @Override
    public List<ItemGift> getItemGiftList(ItemGift  itemGift){
        return  itemGiftMapper.getItemGiftList(itemGift);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  itemGift
     */
    @Override
    public ItemGift getItemGiftById(Integer  id){
        return  itemGiftMapper.getItemGiftById(id);
    }
    /**
     * 增加数据
     * @param  itemGift
     * @return Integer
     */
    @Override
    public  Integer  save(ItemGift  itemGift){
        return  itemGiftMapper.save(itemGift);
    }
    /**
     * 修改数据
     * @param  itemGift
     * @return Integer
     */
    @Override
    public  Integer  update(ItemGift  itemGift){
        return  itemGiftMapper.update(itemGift);
    }

    /**
     * 增加数据 <集合>
     * @param  itemGiftList
     * @return Integer
     */
    @Override
    public  Integer  saveList(List<ItemGift>  itemGiftList){
        return  itemGiftMapper.saveList(itemGiftList);
    }


}